Macaulay2 » Documentation
Packages » EquivariantGB » PriorityQueue » min(PriorityQueue)
next | previous | forward | backward | up | index | toc

# min(PriorityQueue) -- return the minimum element of the queue

- Function: min
- Usage:
    `m = min Q`
- Inputs:
  - Q, an instance of the type PriorityQueue,
- Outputs:
  - m, a thing, the minimum of Q

## Description

    i1 : Q = priorityQueue {1,5,2,-3,0}

    o1 = PriorityQueue{...4...}

    o1 : PriorityQueue

    i2 : min Q

    o2 = -3

## Caveat

If the queue is empty, null is returned.

## Ways to use this method:

- min(PriorityQueue) -- return the minimum element of the queue

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/EquivariantGB.m2:1460:0.